"use strict";

var _loadTemplate = _interopRequireDefault(require("./loadTemplate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Load Template', () => {
  test('should load template as html string', async () => {
    const html = await (0, _loadTemplate.default)('index');
    expect(typeof html).toBe('string');
  });
  test('should throw error if html file doesn\'t exist', async () => {
    try {
      await (0, _loadTemplate.default)('wrong!!!!!!!!');
    } catch (error) {
      expect(error).toBeTruthy();
    }
  });
});