"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = filenamify;

const _filenamify = require('filenamify');
/**
 * Rename file name to be valid by removing special characters
 * @param {string} filename file name
 * @returns {string} valid file name
 */


function filenamify(filename, option) {
  if (!option) {
    option = {
      replacement: ''
    };
  }

  return _filenamify(filename, option);
}